Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ParameterModeA.cpp File Reference

`#include "ParameterModeC.h"`
`#include "tao/Null_RefCount_Policy.h"`
`#include "tao/TypeCode_Constants.h"`
`#include "tao/Alias_TypeCode_Static.h"`
`#include "tao/Enum_TypeCode_Static.h"`
`#include "tao/CDR.h"`
`#include "tao/Any.h"`
`#include "tao/Any_Basic_Impl_T.h"`

Include dependency graph for ParameterModeA.cpp:

## Namespaces
namespace | CORBA
## Functions
void | operator<<= (CORBA::Any &_tao_any, CORBA::ParameterMode _tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, CORBA::ParameterMode &_tao_elem)
## Variables
char const *const | _tao_enumerators_CORBA_ParameterMode []
TAO::TypeCode::Enum< char const *, char const *const *, TAO::Null_RefCount_Policy > | _tao_tc_CORBA_ParameterMode ("IDL:omg.org/CORBA/ParameterMode:1.0","ParameterMode", _tao_enumerators_CORBA_ParameterMode, 3)
::CORBA::TypeCode_ptr const | _tc_ParameterMode

## Function Documentation

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | CORBA::ParameterMode | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | CORBA::ParameterMode & | _tao_elem
| ) |

## Variable Documentation

char const* const _tao_enumerators_CORBA_ParameterMode[]`[static]`

| Initial value:
      {
        "PARAM_IN",
        "PARAM_OUT",
        "PARAM_INOUT"

      }

TAO::TypeCode::Enum<char const *, char const * const *, TAO::Null_RefCount_Policy> _tao_tc_CORBA_ParameterMode("IDL:omg.org/CORBA/ParameterMode:1.0","ParameterMode", _tao_enumerators_CORBA_ParameterMode, 3)`[static]`

TAO_Export::CORBA::TypeCode_ptr const CORBA::_tc_ParameterMode

| Initial value:
        &_tao_tc_CORBA_ParameterMode